Status: Closed Start date: 10/24/2012
Priority: Normal Due date: 01/01/2014
Assignee: % Done: 0%
Category: Metadata Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Scope: Internal SSI Package: art
Experiment: Mu2e

Description

Hello,

A useful feature of the framework is the ability to access fhicl
configuration of a producer module used to make a product by querying
the product handle. At present this functionality has some caveats,
such as it does not work correctly when the input files are result of
merging.

This request is to properly support the querying functionality, so
that one can reliably get access to the configuration used to make a
specific data product.

Andrei

History

#1 - 08/05/2013 03:25 PM - Christopher Green
- Due date set to 01/01/2014

- Category set to Metadata

- Status changed from New to Accepted

- Target version set to 2.01.00

- Scope set to Internal

- Experiment Mu2e added

- SSI Package art added

This requires the metadata revolution and should be naturally fixed as part of that revolution.

#2 - 11/02/2015 04:08 PM - Marc Paterno
- Status changed from Accepted to Feedback

We need to understand what "work correctly” means to MuZ2e, if this is an issue that is still if interest to Mu2e.

#3 - 11/03/2015 11:51 AM - Andrei Gaponenko
Marc, please close this issue. (I justlearned that e-mail replies to redmine do not work.)
Andrei

#4 - 11/05/2015 02:32 PM - Kyle Knoepfel
- Status changed from Feedback to Closed

Closed per user request.

#5 - 12/17/2015 01:53 PM - Kyle Knoepfel
- Target version deleted (2.01.00)
